Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Запись в package.keywords игнорируется?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
calculator
Apprentice
Apprentice


Joined: 16 Oct 2006
Posts: 183
Location: Russia, Moscow

PostPosted: Mon Oct 16, 2006 3:10 pm    Post subject: Запись в package.keywords игнорируется? Reply with quote

Нужно было версию openldap подревнее поставить. Прописал в package.keywords
Code:
<=net-nds/openldap-2.2.28-r4

Никакого результата. Поставил указав ubuild - при обновлении опять хочет свежую версию.
Code:
# emerge -puDvN world         

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild     U ] net-nds/openldap-2.3.27-r2 [2.2.28-r4] USE="berkdb crypt gdbm perl readline samba sasl slp ssl tcpd -debug -ipv6 -kerberos -minimal -odbc -overlays% (-selinux) -smbkrb5passwd%" 0 kB

Total size of downloads: 0 kB

По разному пробовал, ничего не помогает. Почему такое может получаться, ведь package.keywords, как я понимаю, имеет наивысший приоритет в этом случае. Или я ошибаюсь?
Back to top
View user's profile Send private message
KUV
Tux's lil' helper
Tux's lil' helper


Joined: 18 Mar 2005
Posts: 128

PostPosted: Mon Oct 16, 2006 5:45 pm    Post subject: Reply with quote

Используй package.mask.
Back to top
View user's profile Send private message
calculator
Apprentice
Apprentice


Joined: 16 Oct 2006
Posts: 183
Location: Russia, Moscow

PostPosted: Mon Oct 16, 2006 6:28 pm    Post subject: Reply with quote

KUV
Угу, уже попробовал. Но вот странно, до этого случая без package.mask работало. В чем, интересно, причина.
Back to top
View user's profile Send private message
ValKov
n00b
n00b


Joined: 17 May 2003
Posts: 71
Location: Russin Federation

PostPosted: Tue Oct 17, 2006 5:12 am    Post subject: Reply with quote

Пропиши в /etc/portage/profile/packages - и всё должно стать на своё место.
Back to top
View user's profile Send private message
ova
Retired Dev
Retired Dev


Joined: 06 Nov 2003
Posts: 120
Location: Russia, Moscow

PostPosted: Wed Oct 18, 2006 11:06 am    Post subject: Re: Запись в package.keywords игнорируетс Reply with quote

Начать нужно с man portage :wink:

calculator wrote:
Нужно было версию openldap подревнее поставить. Прописал в package.keywords
Code:
<=net-nds/openldap-2.2.28-r4

Никакого результата. Поставил указав ubuild - при обновлении опять хочет свежую версию.


Что вы хотите сделать? Я думаю вы хотите замаскировать более новые версии ldap. А значит вам нужно добавить версии которые вы хотите *замаскировать* в /etc/portage/package.mask. Как-то так:
Code:

>net-nds/openldap-2.2.28-r4


:!: обратите внимане на '>'.

:idea: И если вы хотите продолжать и в будующем использовать именно эту версию ldap, хорошая идея перенести ebuld в overlay. Если вы не знаете как это сделать, поищите на gentoo-wiki.com. Там об этом подробно написано.
Back to top
View user's profile Send private message
calculator
Apprentice
Apprentice


Joined: 16 Oct 2006
Posts: 183
Location: Russia, Moscow

PostPosted: Thu Oct 19, 2006 4:50 pm    Post subject: Reply with quote

Volkov_Peter
Спасибо, overlays используется с другими пакетами, а последняя версия opanldap после некоторой раскопки заработала как нужно(схемы, взятые с инета, которые работали с более древними версиями opanldap, дублировались).

ALL
Вроде разобрался. package.keywords непричем. Мне нужно было сделать просто: emerge \=openldap-2.2.28-r4 :roll:
Back to top
View user's profile Send private message
Double
Apprentice
Apprentice


Joined: 23 Apr 2004
Posts: 250
Location: Kislovodsk, Russia

PostPosted: Sat Oct 21, 2006 8:40 pm    Post subject: Reply with quote

думаю что Volkov_Peter подсказал все таки более идиологически правильный вариант так как если сделать просто merge "=openldap-2.2.28-r4" в дальнейшем emrge будет пытаться постоянно обновить версию до последней стабильной что в вашем случае как раз и не желательно
Back to top
View user's profile Send private message
calculator
Apprentice
Apprentice


Joined: 16 Oct 2006
Posts: 183
Location: Russia, Moscow

PostPosted: Sun Oct 22, 2006 1:19 am    Post subject: Reply with quote

Double
Я и не спорю. В последнем посте как раз и написал, что более древняя версия openldap уже некчему, так как разобрался со свежей.
Back to top
View user's profile Send private message
Double
Apprentice
Apprentice


Joined: 23 Apr 2004
Posts: 250
Location: Kislovodsk, Russia

PostPosted: Sun Oct 22, 2006 6:14 am    Post subject: Reply with quote

calculator wrote:
ALL
Вроде разобрался. package.keywords непричем. Мне нужно было сделать просто: emerge \=openldap-2.2.28-r4 :roll:


ну изходя из этой фразы лично я как раз этого не понял ну да и ладно главное что вопрос решен :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum